From e6e5725ad52fe243e9474cbea3aa6196f3c786f9 Mon Sep 17 00:00:00 2001
From: bill-auger <mr.j.spam.me@gmail.com>
Date: Dec 20 2023 06:58:41 +0000
Subject: [PATCH 17/19] [qt5-webkit]: rebuild against latest 'icu'


---

diff --git a/libre/qt5-webkit/PKGBUILD b/libre/qt5-webkit/PKGBUILD
index 02b5c52..4a7308e 100644
--- a/libre/qt5-webkit/PKGBUILD
+++ b/libre/qt5-webkit/PKGBUILD
@@ -1,6 +1,7 @@
-# Maintainer (aur): Felix Yan <felixonmars@archlinux.org>
-# Maintainer (aur): Antonio Rojas <arojas@archlinux.org>
-# Maintainer (aur): Zen Wen <zen.8841@gmail.com>
+# Maintainer (aur): Fabio 'Lolix' Loli <fabio.loli@disroot.org>
+# Contributor: Zen Wen <zen.8841@gmail.com>
+# Contributor: Felix Yan <felixonmars@archlinux.org>
+# Contributor: Antonio Rojas <arojas@archlinux.org>
 # Contributor: Andrea Scarpino <andrea@archlinux.org>
 # Maintainer: Parabola Hackers <dev@lists.parabola.nu>
 
@@ -16,7 +17,7 @@
 pkgname=qt5-webkit
 _pkgver=5.212.0-alpha4
 pkgver=${_pkgver/-/}
-pkgrel=20
+pkgrel=21
 pkgrel+=.parabola1
 arch=(x86_64)
 arch+=(armv7h i686)
@@ -119,13 +120,15 @@ build() {
   #   > cc1plus: out of memory allocating 1420112 bytes after a total of 41308160 bytes
   [[ "${CARCH}" != armv7h ]] || export CC=clang CXX=clang++
 
-  cmake -B build -S qtwebkit-$_pkgver \
+  cmake -B build -S qtwebkit-$_pkgver -Wno-dev \
     -DCMAKE_INSTALL_PREFIX=/usr \
     -DCMAKE_CXX_FLAGS="${CXXFLAGS} -DNDEBUG" \
     -DPORT=Qt \
-    -DENABLE_TOOLS=OFF \
-    -Wno-dev
+    -DENABLE_XSLT=OFF \
+    -DENABLE_TOOLS=OFF
   cmake --build build
+
+# disabling XSLT to build https://github.com/qtwebkit/qtwebkit/issues/1097
 }
 
 package() {

